IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/56
Addresses2^72
/64 networks256
- Network
2001:db8:0:4500::/56- First address
2001:db8:0:4500::- Last address
2001:db8:0:45ff:ffff:ffff:ffff:ffff- Addresses
- 4,722,366,482,869,645,213,696 (2^72)
- /64 networks (LANs)
- 256
- Full form
2001:0db8:0000:4500:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
5.4.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:4500::/56 makes 65,536 subnets of /72; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:4500::/72 | 2001:db8:0:4500:ff:ffff:ffff:ffff |
| 2 | 2001:db8:0:4500:100::/72 | 2001:db8:0:4500:1ff:ffff:ffff:ffff |
| 3 | 2001:db8:0:4500:200::/72 | 2001:db8:0:4500:2ff:ffff:ffff:ffff |
| 4 | 2001:db8:0:4500:300::/72 | 2001:db8:0:4500:3ff:ffff:ffff:ffff |
| 5 | 2001:db8:0:4500:400::/72 | 2001:db8:0:4500:4ff:ffff:ffff:ffff |
| 6 | 2001:db8:0:4500:500::/72 | 2001:db8:0:4500:5ff:ffff:ffff:ffff |
| 7 | 2001:db8:0:4500:600::/72 | 2001:db8:0:4500:6ff:ffff:ffff:ffff |
| 8 | 2001:db8:0:4500:700::/72 | 2001:db8:0:4500:7ff:ffff:ffff:ffff |
| 9 | 2001:db8:0:4500:800::/72 | 2001:db8:0:4500:8ff:ffff:ffff:ffff |
| 10 | 2001:db8:0:4500:900::/72 | 2001:db8:0:4500:9ff:ffff:ffff:ffff |
| 11 | 2001:db8:0:4500:a00::/72 | 2001:db8:0:4500:aff:ffff:ffff:ffff |
| 12 | 2001:db8:0:4500:b00::/72 | 2001:db8:0:4500:bff:ffff:ffff:ffff |
| 13 | 2001:db8:0:4500:c00::/72 | 2001:db8:0:4500:cff:ffff:ffff:ffff |
| 14 | 2001:db8:0:4500:d00::/72 | 2001:db8:0:4500:dff:ffff:ffff:ffff |
| 15 | 2001:db8:0:4500:e00::/72 | 2001:db8:0:4500:eff:ffff:ffff:ffff |
| 16 | 2001:db8:0:4500:f00::/72 | 2001:db8:0:4500:fff:ffff:ffff:ffff |
| 17 | 2001:db8:0:4500:1000::/72 | 2001:db8:0:4500:10ff:ffff:ffff:ffff |
| 18 | 2001:db8:0:4500:1100::/72 | 2001:db8:0:4500:11ff:ffff:ffff:ffff |
| 19 | 2001:db8:0:4500:1200::/72 | 2001:db8:0:4500:12ff:ffff:ffff:ffff |
| 20 | 2001:db8:0:4500:1300::/72 | 2001:db8:0:4500:13ff:ffff:ffff:ffff |
| 21 | 2001:db8:0:4500:1400::/72 | 2001:db8:0:4500:14ff:ffff:ffff:ffff |
| 22 | 2001:db8:0:4500:1500::/72 | 2001:db8:0:4500:15ff:ffff:ffff:ffff |
| 23 | 2001:db8:0:4500:1600::/72 | 2001:db8:0:4500:16ff:ffff:ffff:ffff |
| 24 | 2001:db8:0:4500:1700::/72 | 2001:db8:0:4500:17ff:ffff:ffff:ffff |
| 25 | 2001:db8:0:4500:1800::/72 | 2001:db8:0:4500:18ff:ffff:ffff:ffff |
| 26 | 2001:db8:0:4500:1900::/72 | 2001:db8:0:4500:19ff:ffff:ffff:ffff |
| 27 | 2001:db8:0:4500:1a00::/72 | 2001:db8:0:4500:1aff:ffff:ffff:ffff |
| 28 | 2001:db8:0:4500:1b00::/72 | 2001:db8:0:4500:1bff:ffff:ffff:ffff |
| 29 | 2001:db8:0:4500:1c00::/72 | 2001:db8:0:4500:1cff:ffff:ffff:ffff |
| 30 | 2001:db8:0:4500:1d00::/72 | 2001:db8:0:4500:1dff:ffff:ffff:ffff |
| 31 | 2001:db8:0:4500:1e00::/72 | 2001:db8:0:4500:1eff:ffff:ffff:ffff |
| 32 | 2001:db8:0:4500:1f00::/72 | 2001:db8:0:4500:1fff:ffff:ffff:ffff |
| 33 | 2001:db8:0:4500:2000::/72 | 2001:db8:0:4500:20ff:ffff:ffff:ffff |
| 34 | 2001:db8:0:4500:2100::/72 | 2001:db8:0:4500:21ff:ffff:ffff:ffff |
| 35 | 2001:db8:0:4500:2200::/72 | 2001:db8:0:4500:22ff:ffff:ffff:ffff |
| 36 | 2001:db8:0:4500:2300::/72 | 2001:db8:0:4500:23ff:ffff:ffff:ffff |
| 37 | 2001:db8:0:4500:2400::/72 | 2001:db8:0:4500:24ff:ffff:ffff:ffff |
| 38 | 2001:db8:0:4500:2500::/72 | 2001:db8:0:4500:25ff:ffff:ffff:ffff |
| 39 | 2001:db8:0:4500:2600::/72 | 2001:db8:0:4500:26ff:ffff:ffff:ffff |
| 40 | 2001:db8:0:4500:2700::/72 | 2001:db8:0:4500:27ff:ffff:ffff:ffff |
| 41 | 2001:db8:0:4500:2800::/72 | 2001:db8:0:4500:28ff:ffff:ffff:ffff |
| 42 | 2001:db8:0:4500:2900::/72 | 2001:db8:0:4500:29ff:ffff:ffff:ffff |
| 43 | 2001:db8:0:4500:2a00::/72 | 2001:db8:0:4500:2aff:ffff:ffff:ffff |
| 44 | 2001:db8:0:4500:2b00::/72 | 2001:db8:0:4500:2bff:ffff:ffff:ffff |
| 45 | 2001:db8:0:4500:2c00::/72 | 2001:db8:0:4500:2cff:ffff:ffff:ffff |
| 46 | 2001:db8:0:4500:2d00::/72 | 2001:db8:0:4500:2dff:ffff:ffff:ffff |
| 47 | 2001:db8:0:4500:2e00::/72 | 2001:db8:0:4500:2eff:ffff:ffff:ffff |
| 48 | 2001:db8:0:4500:2f00::/72 | 2001:db8:0:4500:2fff:ffff:ffff:ffff |
| 49 | 2001:db8:0:4500:3000::/72 | 2001:db8:0:4500:30ff:ffff:ffff:ffff |
| 50 | 2001:db8:0:4500:3100::/72 | 2001:db8:0:4500:31ff:ffff:ffff:ffff |
| 51 | 2001:db8:0:4500:3200::/72 | 2001:db8:0:4500:32ff:ffff:ffff:ffff |
| 52 | 2001:db8:0:4500:3300::/72 | 2001:db8:0:4500:33ff:ffff:ffff:ffff |
| 53 | 2001:db8:0:4500:3400::/72 | 2001:db8:0:4500:34ff:ffff:ffff:ffff |
| 54 | 2001:db8:0:4500:3500::/72 | 2001:db8:0:4500:35ff:ffff:ffff:ffff |
| 55 | 2001:db8:0:4500:3600::/72 | 2001:db8:0:4500:36ff:ffff:ffff:ffff |
| 56 | 2001:db8:0:4500:3700::/72 | 2001:db8:0:4500:37ff:ffff:ffff:ffff |
| 57 | 2001:db8:0:4500:3800::/72 | 2001:db8:0:4500:38ff:ffff:ffff:ffff |
| 58 | 2001:db8:0:4500:3900::/72 | 2001:db8:0:4500:39ff:ffff:ffff:ffff |
| 59 | 2001:db8:0:4500:3a00::/72 | 2001:db8:0:4500:3aff:ffff:ffff:ffff |
| 60 | 2001:db8:0:4500:3b00::/72 | 2001:db8:0:4500:3bff:ffff:ffff:ffff |
| 61 | 2001:db8:0:4500:3c00::/72 | 2001:db8:0:4500:3cff:ffff:ffff:ffff |
| 62 | 2001:db8:0:4500:3d00::/72 | 2001:db8:0:4500:3dff:ffff:ffff:ffff |
| 63 | 2001:db8:0:4500:3e00::/72 | 2001:db8:0:4500:3eff:ffff:ffff:ffff |
| 64 | 2001:db8:0:4500:3f00::/72 | 2001:db8:0:4500:3fff:ffff:ffff:ffff |
| 65 | 2001:db8:0:4500:4000::/72 | 2001:db8:0:4500:40ff:ffff:ffff:ffff |
| 66 | 2001:db8:0:4500:4100::/72 | 2001:db8:0:4500:41ff:ffff:ffff:ffff |
| 67 | 2001:db8:0:4500:4200::/72 | 2001:db8:0:4500:42ff:ffff:ffff:ffff |
| 68 | 2001:db8:0:4500:4300::/72 | 2001:db8:0:4500:43ff:ffff:ffff:ffff |
| 69 | 2001:db8:0:4500:4400::/72 | 2001:db8:0:4500:44ff:ffff:ffff:ffff |
| 70 | 2001:db8:0:4500:4500::/72 | 2001:db8:0:4500:45ff:ffff:ffff:ffff |
| 71 | 2001:db8:0:4500:4600::/72 | 2001:db8:0:4500:46ff:ffff:ffff:ffff |
| 72 | 2001:db8:0:4500:4700::/72 | 2001:db8:0:4500:47ff:ffff:ffff:ffff |
| 73 | 2001:db8:0:4500:4800::/72 | 2001:db8:0:4500:48ff:ffff:ffff:ffff |
| 74 | 2001:db8:0:4500:4900::/72 | 2001:db8:0:4500:49ff:ffff:ffff:ffff |
| 75 | 2001:db8:0:4500:4a00::/72 | 2001:db8:0:4500:4aff:ffff:ffff:ffff |
| 76 | 2001:db8:0:4500:4b00::/72 | 2001:db8:0:4500:4bff:ffff:ffff:ffff |
| 77 | 2001:db8:0:4500:4c00::/72 | 2001:db8:0:4500:4cff:ffff:ffff:ffff |
| 78 | 2001:db8:0:4500:4d00::/72 | 2001:db8:0:4500:4dff:ffff:ffff:ffff |
| 79 | 2001:db8:0:4500:4e00::/72 | 2001:db8:0:4500:4eff:ffff:ffff:ffff |
| 80 | 2001:db8:0:4500:4f00::/72 | 2001:db8:0:4500:4fff:ffff:ffff:ffff |
| 81 | 2001:db8:0:4500:5000::/72 | 2001:db8:0:4500:50ff:ffff:ffff:ffff |
| 82 | 2001:db8:0:4500:5100::/72 | 2001:db8:0:4500:51ff:ffff:ffff:ffff |
| 83 | 2001:db8:0:4500:5200::/72 | 2001:db8:0:4500:52ff:ffff:ffff:ffff |
| 84 | 2001:db8:0:4500:5300::/72 | 2001:db8:0:4500:53ff:ffff:ffff:ffff |
| 85 | 2001:db8:0:4500:5400::/72 | 2001:db8:0:4500:54ff:ffff:ffff:ffff |
| 86 | 2001:db8:0:4500:5500::/72 | 2001:db8:0:4500:55ff:ffff:ffff:ffff |
| 87 | 2001:db8:0:4500:5600::/72 | 2001:db8:0:4500:56ff:ffff:ffff:ffff |
| 88 | 2001:db8:0:4500:5700::/72 | 2001:db8:0:4500:57ff:ffff:ffff:ffff |
| 89 | 2001:db8:0:4500:5800::/72 | 2001:db8:0:4500:58ff:ffff:ffff:ffff |
| 90 | 2001:db8:0:4500:5900::/72 | 2001:db8:0:4500:59ff:ffff:ffff:ffff |
| 91 | 2001:db8:0:4500:5a00::/72 | 2001:db8:0:4500:5aff:ffff:ffff:ffff |
| 92 | 2001:db8:0:4500:5b00::/72 | 2001:db8:0:4500:5bff:ffff:ffff:ffff |
| 93 | 2001:db8:0:4500:5c00::/72 | 2001:db8:0:4500:5cff:ffff:ffff:ffff |
| 94 | 2001:db8:0:4500:5d00::/72 | 2001:db8:0:4500:5dff:ffff:ffff:ffff |
| 95 | 2001:db8:0:4500:5e00::/72 | 2001:db8:0:4500:5eff:ffff:ffff:ffff |
| 96 | 2001:db8:0:4500:5f00::/72 | 2001:db8:0:4500:5fff:ffff:ffff:ffff |
| 97 | 2001:db8:0:4500:6000::/72 | 2001:db8:0:4500:60ff:ffff:ffff:ffff |
| 98 | 2001:db8:0:4500:6100::/72 | 2001:db8:0:4500:61ff:ffff:ffff:ffff |
| 99 | 2001:db8:0:4500:6200::/72 | 2001:db8:0:4500:62ff:ffff:ffff:ffff |
| 100 | 2001:db8:0:4500:6300::/72 | 2001:db8:0:4500:63ff:ffff:ffff:ffff |
| 101 | 2001:db8:0:4500:6400::/72 | 2001:db8:0:4500:64ff:ffff:ffff:ffff |
| 102 | 2001:db8:0:4500:6500::/72 | 2001:db8:0:4500:65ff:ffff:ffff:ffff |
| 103 | 2001:db8:0:4500:6600::/72 | 2001:db8:0:4500:66ff:ffff:ffff:ffff |
| 104 | 2001:db8:0:4500:6700::/72 | 2001:db8:0:4500:67ff:ffff:ffff:ffff |
| 105 | 2001:db8:0:4500:6800::/72 | 2001:db8:0:4500:68ff:ffff:ffff:ffff |
| 106 | 2001:db8:0:4500:6900::/72 | 2001:db8:0:4500:69ff:ffff:ffff:ffff |
| 107 | 2001:db8:0:4500:6a00::/72 | 2001:db8:0:4500:6aff:ffff:ffff:ffff |
| 108 | 2001:db8:0:4500:6b00::/72 | 2001:db8:0:4500:6bff:ffff:ffff:ffff |
| 109 | 2001:db8:0:4500:6c00::/72 | 2001:db8:0:4500:6cff:ffff:ffff:ffff |
| 110 | 2001:db8:0:4500:6d00::/72 | 2001:db8:0:4500:6dff:ffff:ffff:ffff |
| 111 | 2001:db8:0:4500:6e00::/72 | 2001:db8:0:4500:6eff:ffff:ffff:ffff |
| 112 | 2001:db8:0:4500:6f00::/72 | 2001:db8:0:4500:6fff:ffff:ffff:ffff |
| 113 | 2001:db8:0:4500:7000::/72 | 2001:db8:0:4500:70ff:ffff:ffff:ffff |
| 114 | 2001:db8:0:4500:7100::/72 | 2001:db8:0:4500:71ff:ffff:ffff:ffff |
| 115 | 2001:db8:0:4500:7200::/72 | 2001:db8:0:4500:72ff:ffff:ffff:ffff |
| 116 | 2001:db8:0:4500:7300::/72 | 2001:db8:0:4500:73ff:ffff:ffff:ffff |
| 117 | 2001:db8:0:4500:7400::/72 | 2001:db8:0:4500:74ff:ffff:ffff:ffff |
| 118 | 2001:db8:0:4500:7500::/72 | 2001:db8:0:4500:75ff:ffff:ffff:ffff |
| 119 | 2001:db8:0:4500:7600::/72 | 2001:db8:0:4500:76ff:ffff:ffff:ffff |
| 120 | 2001:db8:0:4500:7700::/72 | 2001:db8:0:4500:77ff:ffff:ffff:ffff |
| 121 | 2001:db8:0:4500:7800::/72 | 2001:db8:0:4500:78ff:ffff:ffff:ffff |
| 122 | 2001:db8:0:4500:7900::/72 | 2001:db8:0:4500:79ff:ffff:ffff:ffff |
| 123 | 2001:db8:0:4500:7a00::/72 | 2001:db8:0:4500:7aff:ffff:ffff:ffff |
| 124 | 2001:db8:0:4500:7b00::/72 | 2001:db8:0:4500:7bff:ffff:ffff:ffff |
| 125 | 2001:db8:0:4500:7c00::/72 | 2001:db8:0:4500:7cff:ffff:ffff:ffff |
| 126 | 2001:db8:0:4500:7d00::/72 | 2001:db8:0:4500:7dff:ffff:ffff:ffff |
| 127 | 2001:db8:0:4500:7e00::/72 | 2001:db8:0:4500:7eff:ffff:ffff:ffff |
| 128 | 2001:db8:0:4500:7f00::/72 | 2001:db8:0:4500:7fff:ffff:ffff:ffff |
| 129 | 2001:db8:0:4500:8000::/72 | 2001:db8:0:4500:80ff:ffff:ffff:ffff |
| 130 | 2001:db8:0:4500:8100::/72 | 2001:db8:0:4500:81ff:ffff:ffff:ffff |
| 131 | 2001:db8:0:4500:8200::/72 | 2001:db8:0:4500:82ff:ffff:ffff:ffff |
| 132 | 2001:db8:0:4500:8300::/72 | 2001:db8:0:4500:83ff:ffff:ffff:ffff |
| 133 | 2001:db8:0:4500:8400::/72 | 2001:db8:0:4500:84ff:ffff:ffff:ffff |
| 134 | 2001:db8:0:4500:8500::/72 | 2001:db8:0:4500:85ff:ffff:ffff:ffff |
| 135 | 2001:db8:0:4500:8600::/72 | 2001:db8:0:4500:86ff:ffff:ffff:ffff |
| 136 | 2001:db8:0:4500:8700::/72 | 2001:db8:0:4500:87ff:ffff:ffff:ffff |
| 137 | 2001:db8:0:4500:8800::/72 | 2001:db8:0:4500:88ff:ffff:ffff:ffff |
| 138 | 2001:db8:0:4500:8900::/72 | 2001:db8:0:4500:89ff:ffff:ffff:ffff |
| 139 | 2001:db8:0:4500:8a00::/72 | 2001:db8:0:4500:8aff:ffff:ffff:ffff |
| 140 | 2001:db8:0:4500:8b00::/72 | 2001:db8:0:4500:8bff:ffff:ffff:ffff |
| 141 | 2001:db8:0:4500:8c00::/72 | 2001:db8:0:4500:8cff:ffff:ffff:ffff |
| 142 | 2001:db8:0:4500:8d00::/72 | 2001:db8:0:4500:8dff:ffff:ffff:ffff |
| 143 | 2001:db8:0:4500:8e00::/72 | 2001:db8:0:4500:8eff:ffff:ffff:ffff |
| 144 | 2001:db8:0:4500:8f00::/72 | 2001:db8:0:4500:8fff:ffff:ffff:ffff |
| 145 | 2001:db8:0:4500:9000::/72 | 2001:db8:0:4500:90ff:ffff:ffff:ffff |
| 146 | 2001:db8:0:4500:9100::/72 | 2001:db8:0:4500:91ff:ffff:ffff:ffff |
| 147 | 2001:db8:0:4500:9200::/72 | 2001:db8:0:4500:92ff:ffff:ffff:ffff |
| 148 | 2001:db8:0:4500:9300::/72 | 2001:db8:0:4500:93ff:ffff:ffff:ffff |
| 149 | 2001:db8:0:4500:9400::/72 | 2001:db8:0:4500:94ff:ffff:ffff:ffff |
| 150 | 2001:db8:0:4500:9500::/72 | 2001:db8:0:4500:95ff:ffff:ffff:ffff |
| 151 | 2001:db8:0:4500:9600::/72 | 2001:db8:0:4500:96ff:ffff:ffff:ffff |
| 152 | 2001:db8:0:4500:9700::/72 | 2001:db8:0:4500:97ff:ffff:ffff:ffff |
| 153 | 2001:db8:0:4500:9800::/72 | 2001:db8:0:4500:98ff:ffff:ffff:ffff |
| 154 | 2001:db8:0:4500:9900::/72 | 2001:db8:0:4500:99ff:ffff:ffff:ffff |
| 155 | 2001:db8:0:4500:9a00::/72 | 2001:db8:0:4500:9aff:ffff:ffff:ffff |
| 156 | 2001:db8:0:4500:9b00::/72 | 2001:db8:0:4500:9bff:ffff:ffff:ffff |
| 157 | 2001:db8:0:4500:9c00::/72 | 2001:db8:0:4500:9cff:ffff:ffff:ffff |
| 158 | 2001:db8:0:4500:9d00::/72 | 2001:db8:0:4500:9dff:ffff:ffff:ffff |
| 159 | 2001:db8:0:4500:9e00::/72 | 2001:db8:0:4500:9eff:ffff:ffff:ffff |
| 160 | 2001:db8:0:4500:9f00::/72 | 2001:db8:0:4500:9fff:ffff:ffff:ffff |
| 161 | 2001:db8:0:4500:a000::/72 | 2001:db8:0:4500:a0ff:ffff:ffff:ffff |
| 162 | 2001:db8:0:4500:a100::/72 | 2001:db8:0:4500:a1ff:ffff:ffff:ffff |
| 163 | 2001:db8:0:4500:a200::/72 | 2001:db8:0:4500:a2ff:ffff:ffff:ffff |
| 164 | 2001:db8:0:4500:a300::/72 | 2001:db8:0:4500:a3ff:ffff:ffff:ffff |
| 165 | 2001:db8:0:4500:a400::/72 | 2001:db8:0:4500:a4ff:ffff:ffff:ffff |
| 166 | 2001:db8:0:4500:a500::/72 | 2001:db8:0:4500:a5ff:ffff:ffff:ffff |
| 167 | 2001:db8:0:4500:a600::/72 | 2001:db8:0:4500:a6ff:ffff:ffff:ffff |
| 168 | 2001:db8:0:4500:a700::/72 | 2001:db8:0:4500:a7ff:ffff:ffff:ffff |
| 169 | 2001:db8:0:4500:a800::/72 | 2001:db8:0:4500:a8ff:ffff:ffff:ffff |
| 170 | 2001:db8:0:4500:a900::/72 | 2001:db8:0:4500:a9ff:ffff:ffff:ffff |
| 171 | 2001:db8:0:4500:aa00::/72 | 2001:db8:0:4500:aaff:ffff:ffff:ffff |
| 172 | 2001:db8:0:4500:ab00::/72 | 2001:db8:0:4500:abff:ffff:ffff:ffff |
| 173 | 2001:db8:0:4500:ac00::/72 | 2001:db8:0:4500:acff:ffff:ffff:ffff |
| 174 | 2001:db8:0:4500:ad00::/72 | 2001:db8:0:4500:adff:ffff:ffff:ffff |
| 175 | 2001:db8:0:4500:ae00::/72 | 2001:db8:0:4500:aeff:ffff:ffff:ffff |
| 176 | 2001:db8:0:4500:af00::/72 | 2001:db8:0:4500:afff:ffff:ffff:ffff |
| 177 | 2001:db8:0:4500:b000::/72 | 2001:db8:0:4500:b0ff:ffff:ffff:ffff |
| 178 | 2001:db8:0:4500:b100::/72 | 2001:db8:0:4500:b1ff:ffff:ffff:ffff |
| 179 | 2001:db8:0:4500:b200::/72 | 2001:db8:0:4500:b2ff:ffff:ffff:ffff |
| 180 | 2001:db8:0:4500:b300::/72 | 2001:db8:0:4500:b3ff:ffff:ffff:ffff |
| 181 | 2001:db8:0:4500:b400::/72 | 2001:db8:0:4500:b4ff:ffff:ffff:ffff |
| 182 | 2001:db8:0:4500:b500::/72 | 2001:db8:0:4500:b5ff:ffff:ffff:ffff |
| 183 | 2001:db8:0:4500:b600::/72 | 2001:db8:0:4500:b6ff:ffff:ffff:ffff |
| 184 | 2001:db8:0:4500:b700::/72 | 2001:db8:0:4500:b7ff:ffff:ffff:ffff |
| 185 | 2001:db8:0:4500:b800::/72 | 2001:db8:0:4500:b8ff:ffff:ffff:ffff |
| 186 | 2001:db8:0:4500:b900::/72 | 2001:db8:0:4500:b9ff:ffff:ffff:ffff |
| 187 | 2001:db8:0:4500:ba00::/72 | 2001:db8:0:4500:baff:ffff:ffff:ffff |
| 188 | 2001:db8:0:4500:bb00::/72 | 2001:db8:0:4500:bbff:ffff:ffff:ffff |
| 189 | 2001:db8:0:4500:bc00::/72 | 2001:db8:0:4500:bcff:ffff:ffff:ffff |
| 190 | 2001:db8:0:4500:bd00::/72 | 2001:db8:0:4500:bdff:ffff:ffff:ffff |
| 191 | 2001:db8:0:4500:be00::/72 | 2001:db8:0:4500:beff:ffff:ffff:ffff |
| 192 | 2001:db8:0:4500:bf00::/72 | 2001:db8:0:4500:bfff:ffff:ffff:ffff |
| 193 | 2001:db8:0:4500:c000::/72 | 2001:db8:0:4500:c0ff:ffff:ffff:ffff |
| 194 | 2001:db8:0:4500:c100::/72 | 2001:db8:0:4500:c1ff:ffff:ffff:ffff |
| 195 | 2001:db8:0:4500:c200::/72 | 2001:db8:0:4500:c2ff:ffff:ffff:ffff |
| 196 | 2001:db8:0:4500:c300::/72 | 2001:db8:0:4500:c3ff:ffff:ffff:ffff |
| 197 | 2001:db8:0:4500:c400::/72 | 2001:db8:0:4500:c4ff:ffff:ffff:ffff |
| 198 | 2001:db8:0:4500:c500::/72 | 2001:db8:0:4500:c5ff:ffff:ffff:ffff |
| 199 | 2001:db8:0:4500:c600::/72 | 2001:db8:0:4500:c6ff:ffff:ffff:ffff |
| 200 | 2001:db8:0:4500:c700::/72 | 2001:db8:0:4500:c7ff:ffff:ffff:ffff |
| 201 | 2001:db8:0:4500:c800::/72 | 2001:db8:0:4500:c8ff:ffff:ffff:ffff |
| 202 | 2001:db8:0:4500:c900::/72 | 2001:db8:0:4500:c9ff:ffff:ffff:ffff |
| 203 | 2001:db8:0:4500:ca00::/72 | 2001:db8:0:4500:caff:ffff:ffff:ffff |
| 204 | 2001:db8:0:4500:cb00::/72 | 2001:db8:0:4500:cbff:ffff:ffff:ffff |
| 205 | 2001:db8:0:4500:cc00::/72 | 2001:db8:0:4500:ccff:ffff:ffff:ffff |
| 206 | 2001:db8:0:4500:cd00::/72 | 2001:db8:0:4500:cdff:ffff:ffff:ffff |
| 207 | 2001:db8:0:4500:ce00::/72 | 2001:db8:0:4500:ceff:ffff:ffff:ffff |
| 208 | 2001:db8:0:4500:cf00::/72 | 2001:db8:0:4500:cfff:ffff:ffff:ffff |
| 209 | 2001:db8:0:4500:d000::/72 | 2001:db8:0:4500:d0ff:ffff:ffff:ffff |
| 210 | 2001:db8:0:4500:d100::/72 | 2001:db8:0:4500:d1ff:ffff:ffff:ffff |
| 211 | 2001:db8:0:4500:d200::/72 | 2001:db8:0:4500:d2ff:ffff:ffff:ffff |
| 212 | 2001:db8:0:4500:d300::/72 | 2001:db8:0:4500:d3ff:ffff:ffff:ffff |
| 213 | 2001:db8:0:4500:d400::/72 | 2001:db8:0:4500:d4ff:ffff:ffff:ffff |
| 214 | 2001:db8:0:4500:d500::/72 | 2001:db8:0:4500:d5ff:ffff:ffff:ffff |
| 215 | 2001:db8:0:4500:d600::/72 | 2001:db8:0:4500:d6ff:ffff:ffff:ffff |
| 216 | 2001:db8:0:4500:d700::/72 | 2001:db8:0:4500:d7ff:ffff:ffff:ffff |
| 217 | 2001:db8:0:4500:d800::/72 | 2001:db8:0:4500:d8ff:ffff:ffff:ffff |
| 218 | 2001:db8:0:4500:d900::/72 | 2001:db8:0:4500:d9ff:ffff:ffff:ffff |
| 219 | 2001:db8:0:4500:da00::/72 | 2001:db8:0:4500:daff:ffff:ffff:ffff |
| 220 | 2001:db8:0:4500:db00::/72 | 2001:db8:0:4500:dbff:ffff:ffff:ffff |
| 221 | 2001:db8:0:4500:dc00::/72 | 2001:db8:0:4500:dcff:ffff:ffff:ffff |
| 222 | 2001:db8:0:4500:dd00::/72 | 2001:db8:0:4500:ddff:ffff:ffff:ffff |
| 223 | 2001:db8:0:4500:de00::/72 | 2001:db8:0:4500:deff:ffff:ffff:ffff |
| 224 | 2001:db8:0:4500:df00::/72 | 2001:db8:0:4500:dfff:ffff:ffff:ffff |
| 225 | 2001:db8:0:4500:e000::/72 | 2001:db8:0:4500:e0ff:ffff:ffff:ffff |
| 226 | 2001:db8:0:4500:e100::/72 | 2001:db8:0:4500:e1ff:ffff:ffff:ffff |
| 227 | 2001:db8:0:4500:e200::/72 | 2001:db8:0:4500:e2ff:ffff:ffff:ffff |
| 228 | 2001:db8:0:4500:e300::/72 | 2001:db8:0:4500:e3ff:ffff:ffff:ffff |
| 229 | 2001:db8:0:4500:e400::/72 | 2001:db8:0:4500:e4ff:ffff:ffff:ffff |
| 230 | 2001:db8:0:4500:e500::/72 | 2001:db8:0:4500:e5ff:ffff:ffff:ffff |
| 231 | 2001:db8:0:4500:e600::/72 | 2001:db8:0:4500:e6ff:ffff:ffff:ffff |
| 232 | 2001:db8:0:4500:e700::/72 | 2001:db8:0:4500:e7ff:ffff:ffff:ffff |
| 233 | 2001:db8:0:4500:e800::/72 | 2001:db8:0:4500:e8ff:ffff:ffff:ffff |
| 234 | 2001:db8:0:4500:e900::/72 | 2001:db8:0:4500:e9ff:ffff:ffff:ffff |
| 235 | 2001:db8:0:4500:ea00::/72 | 2001:db8:0:4500:eaff:ffff:ffff:ffff |
| 236 | 2001:db8:0:4500:eb00::/72 | 2001:db8:0:4500:ebff:ffff:ffff:ffff |
| 237 | 2001:db8:0:4500:ec00::/72 | 2001:db8:0:4500:ecff:ffff:ffff:ffff |
| 238 | 2001:db8:0:4500:ed00::/72 | 2001:db8:0:4500:edff:ffff:ffff:ffff |
| 239 | 2001:db8:0:4500:ee00::/72 | 2001:db8:0:4500:eeff:ffff:ffff:ffff |
| 240 | 2001:db8:0:4500:ef00::/72 | 2001:db8:0:4500:efff:ffff:ffff:ffff |
| 241 | 2001:db8:0:4500:f000::/72 | 2001:db8:0:4500:f0ff:ffff:ffff:ffff |
| 242 | 2001:db8:0:4500:f100::/72 | 2001:db8:0:4500:f1ff:ffff:ffff:ffff |
| 243 | 2001:db8:0:4500:f200::/72 | 2001:db8:0:4500:f2ff:ffff:ffff:ffff |
| 244 | 2001:db8:0:4500:f300::/72 | 2001:db8:0:4500:f3ff:ffff:ffff:ffff |
| 245 | 2001:db8:0:4500:f400::/72 | 2001:db8:0:4500:f4ff:ffff:ffff:ffff |
| 246 | 2001:db8:0:4500:f500::/72 | 2001:db8:0:4500:f5ff:ffff:ffff:ffff |
| 247 | 2001:db8:0:4500:f600::/72 | 2001:db8:0:4500:f6ff:ffff:ffff:ffff |
| 248 | 2001:db8:0:4500:f700::/72 | 2001:db8:0:4500:f7ff:ffff:ffff:ffff |
| 249 | 2001:db8:0:4500:f800::/72 | 2001:db8:0:4500:f8ff:ffff:ffff:ffff |
| 250 | 2001:db8:0:4500:f900::/72 | 2001:db8:0:4500:f9ff:ffff:ffff:ffff |
| 251 | 2001:db8:0:4500:fa00::/72 | 2001:db8:0:4500:faff:ffff:ffff:ffff |
| 252 | 2001:db8:0:4500:fb00::/72 | 2001:db8:0:4500:fbff:ffff:ffff:ffff |
| 253 | 2001:db8:0:4500:fc00::/72 | 2001:db8:0:4500:fcff:ffff:ffff:ffff |
| 254 | 2001:db8:0:4500:fd00::/72 | 2001:db8:0:4500:fdff:ffff:ffff:ffff |
| 255 | 2001:db8:0:4500:fe00::/72 | 2001:db8:0:4500:feff:ffff:ffff:ffff |
| 256 | 2001:db8:0:4500:ff00::/72 | 2001:db8:0:4500:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |